Subject: Re: [PATCH v2 1/4] wt-status: read HEAD and ORIG_HEAD via the refdb

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Dec 2023 08:41:14 -0800

Patrick Steinhardt <[email-masked]> writes:

>> OK, I somehow got a (wrong) impression that you are very close to
>> the finish line.
>
> You mean with the reftable backend?

It would be a major achievement if we just stop bypassing refs API
to read/write ORIG_HEAD and friends, even if we are still using only
the files backend.  And I meant that I got an impression that you
are very close to that, regardless of the readiness of the reftable
support.